[Pkg-apache-commits] r875 - in /trunk/apr: changelog patches/00list patches/024_hppa_flock_EWOULDBLOCK_weirdness.dpatch
sf at alioth.debian.org
sf at alioth.debian.org
Sun Feb 22 22:25:56 UTC 2009
Author: sf
Date: Sun Feb 22 22:25:56 2009
New Revision: 875
URL: http://svn.debian.org/wsvn/pkg-apache/?sc=1&rev=875
Log:
Work around flock bug on hppa
Added:
trunk/apr/patches/024_hppa_flock_EWOULDBLOCK_weirdness.dpatch
Modified:
trunk/apr/changelog
trunk/apr/patches/00list
Modified: trunk/apr/changelog
URL: http://svn.debian.org/wsvn/pkg-apache/trunk/apr/changelog?rev=875&op=diff
==============================================================================
--- trunk/apr/changelog (original)
+++ trunk/apr/changelog Sun Feb 22 22:25:56 2009
@@ -6,6 +6,8 @@
[ Stefan Fritsch ]
* Correct description for libapr1-dbg (closes: #508144).
+ * Work around flock bug on hppa. This fixes the last remaining test failure,
+ testprocmutex (closes: #492295).
-- Ryan Niebur <ryanryan52 at gmail.com> Sat, 29 Nov 2008 17:05:49 -0800
Modified: trunk/apr/patches/00list
URL: http://svn.debian.org/wsvn/pkg-apache/trunk/apr/patches/00list?rev=875&op=diff
==============================================================================
--- trunk/apr/patches/00list (original)
+++ trunk/apr/patches/00list Sun Feb 22 22:25:56 2009
@@ -5,3 +5,4 @@
016_sendfile_hurd
022_hurd_path_max.dpatch
023_fix_doxygen.dpatch
+024_hppa_flock_EWOULDBLOCK_weirdness.dpatch
Added: trunk/apr/patches/024_hppa_flock_EWOULDBLOCK_weirdness.dpatch
URL: http://svn.debian.org/wsvn/pkg-apache/trunk/apr/patches/024_hppa_flock_EWOULDBLOCK_weirdness.dpatch?rev=875&op=file
==============================================================================
--- trunk/apr/patches/024_hppa_flock_EWOULDBLOCK_weirdness.dpatch (added)
+++ trunk/apr/patches/024_hppa_flock_EWOULDBLOCK_weirdness.dpatch Sun Feb 22 22:25:56 2009
@@ -1,0 +1,19 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 024_hppa_flock_EWOULDBLOCK_weirdness.dpatch by Stefan Fritsch <sf at debian.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: On hppa, flock returns EAGAIN, not EWOULDBLOCK.
+
+ at DPATCH@
+diff -urNad apr-1.3.3~/locks/unix/proc_mutex.c apr-1.3.3/locks/unix/proc_mutex.c
+--- apr-1.3.3~/locks/unix/proc_mutex.c 2008-06-27 21:50:22.000000000 +0200
++++ apr-1.3.3/locks/unix/proc_mutex.c 2009-02-22 22:58:31.457956492 +0100
+@@ -683,7 +683,7 @@
+ rc = flock(mutex->interproc->filedes, LOCK_EX | LOCK_NB);
+ } while (rc < 0 && errno == EINTR);
+ if (rc < 0) {
+- if (errno == EWOULDBLOCK) {
++ if (errno == EWOULDBLOCK || errno == EAGAIN) {
+ return APR_EBUSY;
+ }
+ return errno;
More information about the Pkg-apache-commits
mailing list